unit Unit2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Quickrpt, ExtCtrls, Qrepedit, Qrctrls;

type
  TForm2 = class(TForm)
    QuickReport1: TQuickRep;
    AQREditor1: TAQREditor;
    AQRBand2: TAQRBand;
    AQREditorFields1: TAQREditorFields;
    QRBand1: TAQRBand;
    AQRLabel2: TAQRLabel;
    AQRLabel1: TAQRLabel;
    AQRShape2: TAQRShape;
    AQRMemo1: TAQRMemo;
    AQRShape1: TAQRShape;
    AQRLabel3: TAQRLabel;
    AQRCell1: TAQRCell;
    AQRCell2: TAQRCell;
    AQRLabel4: TAQRLabel;
    AQRCell3: TAQRCell;
    AQRCell4: TAQRCell;
    Year: TAQRLabel;
    AQRLabel5: TAQRLabel;
    AQRLabel6: TAQRLabel;
    AQRCell5: TAQRCell;
    AQRLabel7: TAQRLabel;
    AQRBand1: TAQRBand;
    AQRCell6: TAQRCell;
    AQRCell7: TAQRCell;
    AQRCell8: TAQRCell;
    AQRCell9: TAQRCell;
    AQRBand3: TAQRBand;
    AQRCell10: TAQRCell;
    AQRCell11: TAQRCell;
    AQRCell12: TAQRCell;
    AQRCell13: TAQRCell;
    AQRLabel8: TAQRLabel;
    procedure AQREditor1PrintPreview(Sender: TObject);
    procedure AQREditor1FormatValue(Sender: TObject;
      const FormatStr: String; ValueType: TFormatValueType;
      ValuePtr: Pointer; var ResultStr: String);
    procedure FormCreate(Sender: TObject);
    procedure QuickReport1NeedData(Sender: TObject; var MoreData: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.AQREditor1PrintPreview(Sender: TObject);
begin
  AQREditor1.SetFieldFloat('Number',150);
  AQREditor1.SetFieldDateTime('Today',Now);
  QuickReport1.OnNeedData:=QuickReport1NeedData;
end;

procedure TForm2.AQREditor1FormatValue(Sender: TObject;
  const FormatStr: String; ValueType: TFormatValueType; ValuePtr: Pointer;
  var ResultStr: String);
begin
  if FormatStr='Words' then
  begin
    ResultStr:='Hundred fifty dollars';
  end
  else
    (Sender as TAQREditor).DefaultFormatValue(FormatStr,ValueType,ValuePtr,ResultStr);
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  AQREditor1.LoadReport;
  Visible:=False;
end;

procedure TForm2.QuickReport1NeedData(Sender: TObject;
  var MoreData: Boolean);
begin
  MoreData:=False;
  { Place your print data actions here }
end;

end.
